--天墉城
--副本入口

--脚本号
x102003_g_scriptId=102003

x100 = 3
--事件交互入口
function x102003_OnDefaultEvent( scene,selfId ,targetId)
	-- body
	BeginEvent(scene)
	AddText(scene,"[43596b]這裏是試煉三環的第一環-獸靈試煉，50級以上3-5人組隊即可參加[-]")

	AddNumText(scene,x102003_g_scriptId,"三環—獸靈試煉",-1,1)
	AddNumText(scene,x102003_g_scriptId,"三環—獸靈試煉(周)",-1,2)
	EndEvent(scene)
	DispatchEventList(scene,selfId,targetId,true)
end

--事件列表选中一项

function x102003_OnEventRequest( scene,selfId,targetId,eventId ,index)
	-- body
	
	if index==1 then
		BeginEvent(scene)
		AddText(scene,"請選擇")
		AddNumText(scene,x102003_g_scriptId,"進入副本",-2,1301)
		AddNumText(scene,x102003_g_scriptId,"便捷組隊",-2,1302,0, 202)
		AddNumText(scene,x102003_g_scriptId,"副本說明",-1,1303)
		AddNumText(scene,x102003_g_scriptId,"返回",-1,1304)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
	elseif index == 2 then
		BeginEvent(scene)
		AddText(scene,"請選擇")
		AddNumText(scene,x102003_g_scriptId,"進入副本",-2,2301)
		AddNumText(scene,x102003_g_scriptId,"便捷組隊",-2,2302,0, 205)
		AddNumText(scene,x102003_g_scriptId,"副本說明",-1,2303)
		AddNumText(scene,x102003_g_scriptId,"返回",-1,2304)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
	elseif index == 1301 then
		GotoCopyScene(scene,selfId,301)
	elseif index == 2301 then
		GotoCopyScene(scene, selfId, 401)
	elseif index == 1302 then
		BeginEvent(scene)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
	elseif index == 2302 then
		BeginEvent(scene)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
	elseif index == 1303 then
		BeginEvent(scene)
		AddText(scene,"玩法說明：\n1. 獸靈試煉為試煉三環的第一個副本，擊敗最終首領後可獲得道具獎勵和仙池試煉的寶箱鑰匙\n2. 每天最多可通過獸靈試煉獲得1次道具獎勵和寶箱鑰匙，多次通過只能獲得俠義值獎勵\n3. 隊伍玩家人數不低於3人")
		AddNumText(scene,x102003_g_scriptId,"進入副本",-2,1301)
		AddNumText(scene,x102003_g_scriptId,"便捷組隊",-2,1302,0, 202)
		AddNumText(scene,x102003_g_scriptId,"副本說明",-1,1303)
		AddNumText(scene,x102003_g_scriptId,"返回",-1,1304)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
	elseif index == 2303 then
		BeginEvent(scene)
		AddText(scene,"玩法說明：\n1.獸靈試煉(周)為高難度的試煉三環副本，擊敗最終首領後可獲得道具獎勵和仙池試煉(周)的寶箱鑰匙\n2. 每周最多可通過獸靈試煉(周)獲得1次道具獎勵和寶箱鑰匙，多次通過只能獲得俠義值獎勵\n3. 隊伍玩家人數不低於3人")
		AddNumText(scene,x102003_g_scriptId,"進入副本",-2,2301)
		AddNumText(scene,x102003_g_scriptId,"便捷組隊",-2,2302,0, 205)
		AddNumText(scene,x102003_g_scriptId,"副本說明",-1,2303)
		AddNumText(scene,x102003_g_scriptId,"返回",-1,2304)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
	elseif index == 1304 then
		x102003_OnDefaultEvent(scene,selfId ,targetId)
	elseif index == 2304 then
		x102003_OnDefaultEvent(scene,selfId ,targetId)
	end

end